-- не позволяем выставлять дублирующиеся адреса
CREATE TRIGGER OnЛинияUpdate ON [dbo].[Линия] 
FOR INSERT, UPDATE
AS
  if exists(
    select 1 
    from inserted
    inner join Линия on Линия.AddressID = inserted.AddressID 
    where inserted.AddressID IS NOT NULL AND inserted.Код_линии <> Линия.Код_линии)
  begin
    RAISERROR ('Значение поля AddressID в таблице Линия должно быть уникальным',16,1)
    ROLLBACK TRANSACTION
  end
